             PGM        PARM(&PGM_LIB &SRC_LIB &TGT_RLS)

             DCL        VAR(&PGM_LIB) TYPE(*CHAR) LEN(10) /* Name of +
                          Program Library. */
             DCL        VAR(&SRC_LIB) TYPE(*CHAR) LEN(10) /* Name of +
                          library that contains the QSRCF file. */
             DCL        VAR(&TGT_RLS) TYPE(*CHAR) LEN(6) /* Target +
                          Release to compile to. */

             ADDLIBLE   LIB(&PGM_LIB) POSITION(*LAST)
             MONMSG     MSGID(CPF0000)

             ADDLIBLE   LIB(&SRC_LIB) POSITION(*LAST)
             MONMSG     MSGID(CPF0000)

             DLTMOD     MODULE(&PGM_LIB/XVERRH_M01)
             MONMSG     MSGID(CPF0000)
             DLTMOD     MODULE(&PGM_LIB/XVERRH_M02)
             MONMSG     MSGID(CPF0000)
             DLTMOD     MODULE(&PGM_LIB/XVERRH_M03)
             MONMSG     MSGID(CPF0000)

             DLTSRVPGM  SRVPGM(&PGM_LIB/XVERRH)
             MONMSG     MSGID(CPF0000)

             CRTRPGMOD  MODULE(&PGM_LIB/XVERRH_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)

             CRTRPGMOD  MODULE(&PGM_LIB/XVERRH_M02) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)

             CRTRPGMOD  MODULE(&PGM_LIB/XVERRH_M03) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)

             CRTSRVPGM  SRVPGM(&PGM_LIB/XVERRH) +
                          MODULE(&PGM_LIB/XVERRH_M01 +
                          &PGM_LIB/XVERRH_M02 &PGM_LIB/XVERRH_M03) +
                          SRCFILE(&SRC_LIB/QSRCF) SRCMBR(XVERRH_B) +
                          TEXT('Standard Error Handler.') +
                          ACTGRP(QILE) TGTRLS(&TGT_RLS)

             DLTMOD     MODULE(&PGM_LIB/XVSCKC_M01)
             MONMSG     MSGID(CPF0000)
             DLTMOD     MODULE(&PGM_LIB/XVSCKC_M02)
             MONMSG     MSGID(CPF0000)

             DLTSRVPGM  SRVPGM(&PGM_LIB/XVSCKC)
             MONMSG     MSGID(CPF0000)

             CRTRPGMOD  MODULE(&PGM_LIB/XVSCKC_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)

             CRTCMOD    MODULE(&PGM_LIB/XVSCKC_M02) +
                          SRCFILE(&SRC_LIB/QSRCF) +
                          SRCMBR(XVSCKC_M02) OUTPUT(*PRINT) +
                          DBGVIEW(*LIST) TGTRLS(&TGT_RLS)

             CRTSRVPGM  SRVPGM(&PGM_LIB/XVSCKC) +
                          MODULE(&PGM_LIB/XVSCKC_M01 +
                          &PGM_LIB/XVSCKC_M02) +
                          SRCFILE(&SRC_LIB/QSRCF) SRCMBR(XVSCKC_B) +
                          TEXT('Standard Error Handler.') +
                          BNDSRVPGM(XVERRH) ACTGRP(QILE) +
                          TGTRLS(&TGT_RLS)

             DLTPGM     PGM(&PGM_LIB/SOCKSRV)
             MONMSG     MSGID(CPF0000)

             CRTBNDC    PGM(&PGM_LIB/SOCKSRV) +
                          SRCFILE(&SRC_LIB/QSRCF) SRCMBR(SOCKSRV) +
                          OUTPUT(*PRINT) DBGVIEW(*ALL) REPLACE(*NO) +
                          TGTRLS(&TGT_RLS)

             DLTMOD     MODULE(&PGM_LIB/TESTSOCK)
             MONMSG     MSGID(CPF0000)

             CRTRPGMOD  MODULE(&PGM_LIB/TESTSOCK) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)

             CRTPGM     PGM(&PGM_LIB/TESTSOCK) BNDSRVPGM(XVSCKC) +
                          ACTGRP(QILE) TGTRLS(&TGT_RLS)

             ENDPGM
